PixToolsSingletonTest (javadoc for PixTools)
Date: 2012-07-30

gov.fnal.eag.healpix.test

## Class PixToolsSingletonTest

- java.lang.Object
- - TestCase
  - - gov.fnal.eag.healpix.test.PixToolsSingletonTest

-     public class PixToolsSingletonTest
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PixToolsSingletonTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testAng2Pix()` tests calculation of pixel from polar angles in ring schema of pixalization
    `void` | `testAng2Vect()` tests calculation of unit vector from polar angles
    `void` | `testAngDist()` tests angular distance calculation
    `void` | `testGetNside()` tests GetNside method
    `void` | `testInRing()` tests InRing method
    `void` | `testIntrs_Intrv()` tests intrs_intrv method
    `void` | `testMaxResolution()` tests MaxResolution method
    `void` | `testMODULO()` test MODULO function
    `void` | `testNeighbours_Nest()` tests Neighbour's method for nest schema of the pixelization
    `void` | `testNest2Ring()` tests conversion from nest schema pixel to ring schema pixel
    `void` | `testNext_In_Line_Nest()` tests Next_In_Line method for the nest schema
    `void` | `testNpix2Nside()` tests calculation of nsides from npixels
    `void` | `testNside2Npix()` tests calculation of npixels from nside
    `void` | `testPix2Vect_nest()` tests conversion from pixel number to vector
    `void` | `testPix2Vect_ring()` tests conversion from pixel number to vector
    `void` | `testQuery_Disc()` tests Query_Disc method
    `void` | `testQuery_disk2()` test Query_disk check for consistency in the query for RING/NESTED
    `void` | `testQuery_Polygon()` tests Query_Poligon method
    `void` | `testQuery_Strip()` tests Query_Strip method
    `void` | `testQuery_Triangle()` tests Query_Triangle method
    `void` | `testQueryDiscRes()` tests QueryDiscResolution method
    `void` | `testRaDecToPolar()` test conversion of Ra Dec to polar coordinates
    `void` | `testRing2Nest()` tests conversion from ring schema pixel to nest schema pixel
    `void` | `testRingNum()` tests calculation of ring number from z coordinate
    `void` | `testSurfaceTriangle()`
    `void` | `testVec2Ang()` test of directional angles calculation
    `void` | `testVect2Pix_nest()` tests conversion from vector to pixel number
    `void` | `testVect2Pix_ring()` tests conversion from vector to pixel number

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PixToolsSingletonTest

          public PixToolsSingletonTest()

  - ### Method Detail

    - #### testMODULO

          public void testMODULO()

      test MODULO function

    - #### testAngDist

          public void testAngDist()
                           throws java.lang.Exception

      tests angular distance calculation
      Throws:
        `java.lang.Exception`

    - #### testSurfaceTriangle

          public void testSurfaceTriangle()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testNside2Npix

          public void testNside2Npix()

      tests calculation of npixels from nside

    - #### testNpix2Nside

          public void testNpix2Nside()

      tests calculation of nsides from npixels

    - #### testVec2Ang

          public void testVec2Ang()

      test of directional angles calculation

    - #### testAng2Pix

          public void testAng2Pix()
                           throws java.lang.Exception

      tests calculation of pixel from polar angles in ring schema of pixalization
      Throws:
        `java.lang.Exception`

    - #### testAng2Vect

          public void testAng2Vect()
                            throws java.lang.Exception

      tests calculation of unit vector from polar angles
      Throws:
        `java.lang.Exception`

    - #### testRingNum

          public void testRingNum()
                           throws java.lang.Exception

      tests calculation of ring number from z coordinate
      Throws:
        `java.lang.Exception`

    - #### testNest2Ring

          public void testNest2Ring()
                             throws java.lang.Exception

      tests conversion from nest schema pixel to ring schema pixel
      Throws:
        `java.lang.Exception`

    - #### testRing2Nest

          public void testRing2Nest()
                             throws java.lang.Exception

      tests conversion from ring schema pixel to nest schema pixel
      Throws:
        `java.lang.Exception`

    - #### testNext_In_Line_Nest

          public void testNext_In_Line_Nest()
                                     throws java.lang.Exception

      tests Next_In_Line method for the nest schema
      Throws:
        `java.lang.Exception`

    - #### testInRing

          public void testInRing()
                          throws java.lang.Exception

      tests InRing method
      Throws:
        `java.lang.Exception`

    - #### testNeighbours_Nest

          public void testNeighbours_Nest()
                                   throws java.lang.Exception

      tests Neighbour's method for nest schema of the pixelization
      Throws:
        `java.lang.Exception`

    - #### testIntrs_Intrv

          public void testIntrs_Intrv()
                               throws java.lang.Exception

      tests intrs_intrv method
      Throws:
        `java.lang.Exception`

    - #### testPix2Vect_ring

          public void testPix2Vect_ring()
                                 throws java.lang.Exception

      tests conversion from pixel number to vector
      Throws:
        `java.lang.Exception`

    - #### testPix2Vect_nest

          public void testPix2Vect_nest()
                                 throws java.lang.Exception

      tests conversion from pixel number to vector
      Throws:
        `java.lang.Exception`

    - #### testVect2Pix_ring

          public void testVect2Pix_ring()
                                 throws java.lang.Exception

      tests conversion from vector to pixel number
      Throws:
        `java.lang.Exception`

    - #### testVect2Pix_nest

          public void testVect2Pix_nest()
                                 throws java.lang.Exception

      tests conversion from vector to pixel number
      Throws:
        `java.lang.Exception`

    - #### testQuery_Strip

          public void testQuery_Strip()
                               throws java.lang.Exception

      tests Query_Strip method
      Throws:
        `java.lang.Exception`

    - #### testQuery_Disc

          public void testQuery_Disc()
                              throws java.lang.Exception

      tests Query_Disc method
      Throws:
        `java.lang.Exception`

    - #### testQuery_Triangle

          public void testQuery_Triangle()
                                  throws java.lang.Exception

      tests Query_Triangle method
      Throws:
        `java.lang.Exception`

    - #### testQuery_Polygon

          public void testQuery_Polygon()
                                 throws java.lang.Exception

      tests Query_Poligon method
      Throws:
        `java.lang.Exception`

    - #### testMaxResolution

          public void testMaxResolution()

      tests MaxResolution method

    - #### testQueryDiscRes

          public void testQueryDiscRes()
                                throws java.lang.Exception

      tests QueryDiscResolution method
      Throws:
        `java.lang.Exception`

    - #### testQuery_disk2

          public void testQuery_disk2()

      test Query_disk check for consistency in the query for RING/NESTED

    - #### testGetNside

          public void testGetNside()

      tests GetNside method

    - #### testRaDecToPolar

          public void testRaDecToPolar()

      test conversion of Ra Dec to polar coordinates